[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: svn commit: r17483 - trunk

From: Eric Gillespie <epg_at_pretzelnet.org>
Date: 2005-11-23 07:12:25 CET

Peter Samuelson <peter@p12n.org> writes:

> My memory must be faulty. The actual problem case is having no
> 'python' executable. (For example it's possible on Debian to have only
> a /usr/bin/python2.3.)

I have no 'python', only 'python2.4'. Works fine, always has :).

> Passing PYTHON=/whatever into configure works for most, but not
> quite all, of the build.

That's how i do it, and that's always worked, from releases and
working copies.

> In practice, if I recall, the part that fails to honor
> $(PYTHON) is just the build generator, so the exact python
> version isn't so important.

You mean gen-make.py? There's really no way to correct that, and
only developers run it anyway. It's not a problem to say
'python2.4 ./gen-make.py'.

--
Eric Gillespie <*> epg@pretzelnet.org

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@subversion.tigris.org
For additional commands, e-mail: dev-help@subversion.tigris.org
Received on Wed Nov 23 07:18:26 2005

This is an archived mail posted to the Subversion Dev mailing list.